/*
 * @(#)ResultWindow.java
 */

package galton.common;

import java.awt.Frame;
import java.awt.TextArea;
import java.awt.Dimension;
import java.awt.event.WindowListener;
/**
 * A window used to display things in columns.
 */
public class ResultWindow extends Frame{
    private static final int DEBUG=0;

    /**
     * @param text future content of the window
     * @param title the title of the window
     */
    public ResultWindow(String text,String title){
      TextArea area=new TextArea(text,20,80);
	add(area);
      doLayout();
      if (getSize().height==0) setSize(new Dimension(300,450));
	setTitle(title);
    }

    /**
     * @param l obscure
     * @deprecated use ResultWindow(String text,String title)
     */
    public ResultWindow(String text,String title,WindowListener l){
      this(text,title);
	addWindowListener(l);
    }
}
