/*
 * @(#)ButtonFlipper.java	0.1 11/08/2000
 *
 */

package galton.common;

import java.awt.Button;
import java.awt.event.*;

/**
 * This class extends a normal button by changing the label every time
 * the button is pressed, i.e. start/stop.
 *
 * @author Zbigniew Jedrzejewski-Szmek
 */
public class ButtonFlipper extends Button implements ActionListener{
    protected String A,B;

    /** 
     * Constructs an A/B button showing A.
     * @param A primary label
     * @param B secondary label
     */
    public ButtonFlipper(String A,String B){
        super(A);
        this.A=A;
        this.B=B;
        addActionListener(this);
    }

    /**
     * Changes the label of the button to A
     * @see #b()
     */
    public void a(){
		setLabel(A);
    }
    /**
     * Changes the label of the button to B
     * @see #a()
     */
    public void b(){
		setLabel(B);
    }
    public void actionPerformed(ActionEvent evt){
        if(evt.getActionCommand().equals(A))
            b();
        else
            a();
    }
}
