package galton.event;

import galton.event.*;

public class StartStopEvent extends Event{
    public long count;
 
    public boolean isStarted(){ return type == START; }
    public boolean isStopped(){ return type == STOP; }
    public long getCount(){ return count; }

    public StartStopEvent(long count,int type){ super(type); this.count = count; }
    public String toString(){ return "count="+count+" "+super.toString(); }
    public String getTypeLabel(){
        switch(type){
            case UNKNOWN: return "UNKNOWN";
            case STOP   : return "STOP";
            case START  : return "START";
            default     : return super.getTypeLabel();
        }
    }
}
